Bug 1459134 - [RFE] Rebase engine-setup on PostgreSQL >= 9.5
[RFE] Rebase engine-setup on PostgreSQL >= 9.5
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine (Show other bugs)
4.2.0
Unspecified Unspecified
urgent Severity high (vote)
: ovirt-4.2.0
: 4.2.0
Assigned To: Yedidyah Bar David
Lucie Leistnerova
: FutureFeature, Rebase
Depends On: 1488189 1490936 1480624
Blocks: RHV_PG_95 1470991 1470985 1470988 1470992 1470994
  Show dependency treegraph
 
Reported: 2017-06-06 08:00 EDT by Sandro Bonazzola
Modified: 2017-11-02 06:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this release, the engine now requires PostgreSQL 9.5 or later, which provides new features and better performance. The engine-setup tool can help upgrade an existing database to Software Collections PostgreSQL 9.5, as well as use that version for new setups.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
lleistne: testing_plan_complete-
ylavi: planning_ack+
sbonazzo: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78307 master POST postgres95: enable postgres95 on fresh installs 2017-08-30 10:46 EDT
oVirt gerrit 80795 master POST postgres95: upgrade if needed 2017-08-30 12:57 EDT
oVirt gerrit 81476 master POST postgres95: require postgres95 client on plugin-ovirt-engine-common 2017-09-05 13:03 EDT
oVirt gerrit 81478 master POST postgres95: require postgres-server upgrade from setup 2017-09-05 16:07 EDT

  None (edit)
Description Sandro Bonazzola 2017-06-06 08:00:42 EDT
In Fedora >= 24 we already have PostgreSQL >= 9.5.
In CentOS / RHEL PostgreSQL is available using software collections.
We should be able to upgrade from 4.1 to 4.2 enabling PostgreSQL >= 9.5 as part of the update.
Comment 1 Lucie Leistnerova 2017-08-24 10:03:45 EDT
This scenarios should be tested:

1. fresh install 4.2, postgres 9.5
2. upgrade 4.1, postgres < 9.5 => 4.2, postgres 9.5
3. upgrade 4.2, postgres 9.5 => newer 4.2, postgres 9.5
4. fresh install 4.2, postgres 9.6
5. upgrade 4.1, postgres < 9.5 => 4.2, postgres 9.6
6. upgrade 4.2, postgres 9.5 => newer 4.2, postgres 9.6

Notice: 4.2 will work only with postgres >= 9.5 and so can't be installed with lower postgres versions.
Comment 2 Simone Tiraboschi 2017-09-05 04:29:48 EDT
(In reply to Lucie Leistnerova from comment #1)
> This scenarios should be tested:

We need also to consider that we have the engine, engine DB, DWH and DWH DB and all of them could be on the same machine or on 4 distinct machines in the worst case.
Comment 3 Lucie Leistnerova 2017-11-02 06:16:11 EDT
Scenarios from Comment 1 were tested for:

- dwh, engine both service and db locally
- dwh, engine service locally, dwh, engine's db remotely
- engine both service and db locally, dwh both service and db remotely

Some errors occurred, see depending BZ. It all should be fixed now, so engine is working well with postgres 9.5 and 9.6 in main functions.

Note You need to log in before you can comment on or make changes to this bug.